[Mongrel] Ajax and IE causing Page Not Found and 500 Errors behind SSL

Zed Shaw zedshaw at zedshaw.com
Thu Jun 8 05:56:08 EDT 2006


On Wed, 2006-06-07 at 16:56 -0700, Curtis Spencer wrote:
> Hi,
> 
> Forgive this if it is a duplicate, because I was having trouble  
> posting to the list.
> 
> I have a setup of mongrel behind an apache proxy and I am getting a  
> few people using IE (5.5 & 6.0) complaining about getting sporadic  
> page not found errors when using AJAX features of the site and file  
> uploads behind SSL.  I am posting the research I have done on the  
> subject.
> 

Hey Curtis, can you tell me the versions of your operating system,
Apache, Mongrel, and Ruby?  Can't really go on much without that.

As for HTTP/1.1 -- Mongrel is an HTTP/1.1 only web server.  There should
be no clients that claim to be 1.0 anymore, but Mongrel will accept
requests from them, it just doesn't do much to support 1.0.  Trying to
support both is really not worth the effort in order to support such a
tiny share of the servers out there.  If you have 1.0 clients that
absolutely can't be upgraded, then put Mongrel behind apache (like you
are) or Pound and have those proxy servers do the translation.


-- 
Zed A. Shaw
http://www.zedshaw.com/
http://mongrel.rubyforge.org/




More information about the Mongrel-users mailing list